// Библиотека iarduino_4LED для работы с четырехразрядным LED индикатором http://iarduino.ru/file/266.html
// Считывание данных осуществляется аналогового датчика линии             http://iarduino.ru/shop/Sensory-Datchiki/datchik-linii-analogovyy-trema-modul.html
// Вывод данных осуществляется на четырехразрядный LED индикатор          http://iarduino.ru/shop/Displei/chetyrehrazryadnyy-indikator-led-trema-modul.html
// Для удобства подключения предлагаем воспользоваться Trema Shield       http://iarduino.ru/shop/Expansion-payments/trema-shield.html

#include <iarduino_4LED.h>                                 //  подключаем библиотеку для работы с четырёхразрядным LED индикатором
iarduino_4LED  dispLED(2,3);                               //  объявляем объект для работы с функциями библиотеки iarduino_4LED, с указанием выводов индикатора ( CLK , DIO ) 
const uint8_t  pinLine = A0;                               //  объявляем константу с указанием номера аналогового входа, к которому подключен датчик линии
      uint32_t strLine = 0;                                //  время перехода датчика со светлого на тёмное поле

void setup(){
  dispLED.begin();                                         //  инициируем LED индикатор
}

void loop(){
  if(analogRead(pinLine)>400){                             //  если показания датчика линии больше 400 (тёмное поле)
    if(strLine<millis()){                                  //  если нет переполнения millis(), то ...
      dispLED.print(60000/(millis()-strLine));             //  выводим количество оборотов в минуту на LED индикатор
    } strLine = millis();                                  //  присваиваем переменной strLine текущее значение millis();
    while(analogRead(pinLine)>350){                        //  ждём пока датчик линии не выйдет из тёмного поля
      if((millis()-strLine)>6000){dispLED.print("STOP");}  //  если датчик находится на тёмном  поле дольше 6 секунд, то выводим на индикатор надпись "STOP"
    }
  }   if((millis()-strLine)>6000){dispLED.print("STOP");}  //  если датчик находится на светлом поле дольше 6 секунд, то выводим на индикатор надпись "STOP"
}
